RDKit: RDDepict::Compute2DCoordParameters Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDDepict::Compute2DCoordParameters Struct Reference

`#include <RDDepictor.h>`

## Public Attributes
const RDGeom::INT_POINT2D_MAP * | coordMap
bool | canonOrient = false
bool | clearConfs = true
unsigned int | nFlipsPerSample = 0
unsigned int | nSamples = 0
| the number of samples
int | sampleSeed = 0
| seed for the random sampling process
bool | permuteDeg4Nodes = false
bool | forceRDKit = false
bool | useRingTemplates = false

## Detailed Description

Definition at line 71 of file RDDepictor.h.

## Member Data Documentation

## ◆ canonOrient

bool RDDepict::Compute2DCoordParameters::canonOrient = false

canonicalize the orientation so that the long axes align with the x-axis etc.

Definition at line 77 of file RDDepictor.h.

## ◆ clearConfs

bool RDDepict::Compute2DCoordParameters::clearConfs = true

clear all existing conformations on the molecule before adding the 2D coordinates instead of simply adding to the list

Definition at line 79 of file RDDepictor.h.

## ◆ coordMap

const RDGeom::INT_POINT2D_MAP* RDDepict::Compute2DCoordParameters::coordMap

Initial value:
=
nullptr

a map of int to Point2D, between atom IDs and their locations. This is the container the user needs to fill if he/she wants to specify coordinates for a portion of the molecule, defaults to 0

Definition at line 72 of file RDDepictor.h.

## ◆ forceRDKit

bool RDDepict::Compute2DCoordParameters::forceRDKit = false

use RDKit to generate coordinates even if preferCoordGen is set to true

Definition at line 89 of file RDDepictor.h.

## ◆ nFlipsPerSample

unsigned int RDDepict::Compute2DCoordParameters::nFlipsPerSample = 0

the number of rotatable bonds that are flipped at random for each sample

Definition at line 82 of file RDDepictor.h.

## ◆ nSamples

unsigned int RDDepict::Compute2DCoordParameters::nSamples = 0

the number of samples

Definition at line 84 of file RDDepictor.h.

## ◆ permuteDeg4Nodes

bool RDDepict::Compute2DCoordParameters::permuteDeg4Nodes = false

try permuting the drawing order of bonds around atoms with four neighbors in order to improve the depiction

Definition at line 86 of file RDDepictor.h.

## ◆ sampleSeed

int RDDepict::Compute2DCoordParameters::sampleSeed = 0

seed for the random sampling process

Definition at line 85 of file RDDepictor.h.

## ◆ useRingTemplates

bool RDDepict::Compute2DCoordParameters::useRingTemplates = false

whether to use ring system templates for generating initial coordinates

Definition at line 91 of file RDDepictor.h.

The documentation for this struct was generated from the following file:

- RDDepictor.h